Subject: Re: [PATCH v2 56/94] apply: move 'struct apply_state' to apply.h

From: Junio C Hamano <[email-masked]>
Date: Mon, 16 May 2016 09:03:22 -0700

Eric Sunshine <[email-masked]> writes:

> On Wed, May 11, 2016 at 9:17 AM, Christian Couder
> <[email-masked]> wrote:
>> To libify `git apply` functionality we must make 'struct apply_state'
>> usable outside "builtin/apply.c".
>
> Why is this patch plopped right in the middle of a bunch of other
> patches which are making functions return -1 rather than die()ing?
> Seems out of place.

Two possible places that would make more sense are (1) when it is
introduced very early in the series, or (2) when it absorbed all the
file-scope-static global states in the middle of the series.  I think
either is fine.

That would be a good place to end the first batch of the topic.
Then the second batch would be "turn die() into error status that is
propagated upwards".